- [HTTP request](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts/get.md.txt#body.aspect)

Retrieves an impact.

### HTTP request

`GET https://servicehealth.googleapis.com/v1beta/{name=projects/*/locations/*/impacts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource. Format is `projects/{project}/locations/{location}/impacts/{impact}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `Impact`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/servicehealth.readonly`
- `https://www.googleapis.com/auth/servicehealth`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).